com.h3c.sdn.metric

## Class MetricUpdate

- java.lang.Object
- - com.h3c.sdn.metric.MetricUpdate

-     public class MetricUpdate
      extends Object

  Metric update object, a data carrier which contains different properties that holds the metric values to be updated by the corresponding `TimeStampedMetric` object specified by the metric identifier.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DECREMENT`
    `static String` | `DENOMINATOR`
    `static String` | `INCREMENT`
    `static String` | `INT_VALUE`
    `static String` | `MARK`
    `static String` | `NUMERATOR`
    `static String` | `TIME_UNIT`
    `static String` | `TYPE`
    `static String` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricUpdate(String uid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getDecrement()` Gets the decrement count to be updated by `TimeStampedMetric`.
    `Long` | `getDenominator()` Gets the denominator value to be updated by `TimeStampedMetric`.
    `Long` | `getIncrement()` Gets the increment count to be updated by `TimeStampedMetric`.
    `Integer` | `getIntegerValue()` Gets the integer value that is updated by `TimeStampedMetric`.
    `Long` | `getMark()` Gets the mark value to be updated by `TimeStampedMetric`.
    `Long` | `getNumerator()` Gets the numerator value to be updated by `TimeStampedMetric`.
    `String` | `getTimeUnit()` Gets the time unit value to be updated by `TimeStampedMetric`.
    `String` | `getType()` Gets the custom type name that is used with the value to be updated by `TimeStampedMetric`.
    `String` | `getUid()` Gets the metric uid that is used to retrieve `TimeStampedMetric`.
    `Long` | `getValue()` Gets the value that is updated by `TimeStampedMetric`.
    `void` | `setDecrement(Long toSet)` Sets the decrement value of the `TimeStampedMetric`.
    `void` | `setDenominator(Long toSet)` Sets the denominator value to be updated by `TimeStampedMetric`.
    `void` | `setIncrement(Long toSet)` Sets the increment value of the `TimeStampedMetric`.
    `void` | `setIntegerValue(Integer toSet)` Sets the integer metric value of the `TimeStampedMetric`.
    `void` | `setMark(Long toSet)` Sets the mark value to be updated by `TimeStampedMetric`.
    `void` | `setNumerator(Long toSet)` Sets the numerator value of the `TimeStampedMetric`.
    `void` | `setTimeUnit(String toSet)` Sets the mark value to be updated by `TimeStampedMetric`.
    `void` | `setType(String toSet)` Sets the custom type name of the `TimeStampedMetric`.
    `void` | `setValue(Long toSet)` Sets the metric value of the `TimeStampedMetric`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### INT_VALUE

          public static final String INT_VALUE

      See Also:
        Constant Field Values

    - #### DECREMENT

          public static final String DECREMENT

      See Also:
        Constant Field Values

    - #### INCREMENT

          public static final String INCREMENT

      See Also:
        Constant Field Values

    - #### NUMERATOR

          public static final String NUMERATOR

      See Also:
        Constant Field Values

    - #### DENOMINATOR

          public static final String DENOMINATOR

      See Also:
        Constant Field Values

    - #### MARK

          public static final String MARK

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### TIME_UNIT

          public static final String TIME_UNIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetricUpdate

          public MetricUpdate(String uid)

  - ### Method Detail

    - #### getUid

          public String getUid()

      Gets the metric uid that is used to retrieve `TimeStampedMetric`.
      Returns:
        the metric uid

    - #### getValue

          public Long getValue()

      Gets the value that is updated by `TimeStampedMetric`.
      Returns:
        metric value

    - #### setValue

          public void setValue(Long toSet)

      Sets the metric value of the `TimeStampedMetric`.
      Parameters:
        `toSet` - metric value

    - #### getIntegerValue

          public Integer getIntegerValue()

      Gets the integer value that is updated by `TimeStampedMetric`.
      Returns:
        metric value as integer

    - #### setIntegerValue

          public void setIntegerValue(Integer toSet)

      Sets the integer metric value of the `TimeStampedMetric`.
      Parameters:
        `toSet` - metric value as Integer

    - #### getType

          public String getType()

      Gets the custom type name that is used with the value to be updated by `TimeStampedMetric`.
      Returns:
        the custom type name

    - #### setType

          public void setType(String toSet)

      Sets the custom type name of the `TimeStampedMetric`.
      Parameters:
        `toSet` - the custom type name

    - #### getDecrement

          public Long getDecrement()

      Gets the decrement count to be updated by `TimeStampedMetric`.
      Returns:
        the decrement count

    - #### setDecrement

          public void setDecrement(Long toSet)

      Sets the decrement value of the `TimeStampedMetric`.
      Parameters:
        `toSet` - the decrement value

    - #### getIncrement

          public Long getIncrement()

      Gets the increment count to be updated by `TimeStampedMetric`.
      Returns:
        the increment count

    - #### setIncrement

          public void setIncrement(Long toSet)

      Sets the increment value of the `TimeStampedMetric`.
      Parameters:
        `toSet` - the increment value

    - #### getNumerator

          public Long getNumerator()

      Gets the numerator value to be updated by `TimeStampedMetric`.
      Returns:
        the numerator value

    - #### setNumerator

          public void setNumerator(Long toSet)

      Sets the numerator value of the `TimeStampedMetric`.
      Parameters:
        `toSet` - the numerator value

    - #### getDenominator

          public Long getDenominator()

      Gets the denominator value to be updated by `TimeStampedMetric`.
      Returns:
        the denominator value

    - #### setDenominator

          public void setDenominator(Long toSet)

      Sets the denominator value to be updated by `TimeStampedMetric`.
      Parameters:
        `toSet` - the denominator value

    - #### getMark

          public Long getMark()

      Gets the mark value to be updated by `TimeStampedMetric`.
      Returns:
        the mark value

    - #### setMark

          public void setMark(Long toSet)

      Sets the mark value to be updated by `TimeStampedMetric`.
      Parameters:
        `toSet` - the mark value

    - #### getTimeUnit

          public String getTimeUnit()

      Gets the time unit value to be updated by `TimeStampedMetric`.
      Returns:
        the time unit value

    - #### setTimeUnit

          public void setTimeUnit(String toSet)

      Sets the mark value to be updated by `TimeStampedMetric`.
      Parameters:
        `toSet` - the mark value

Copyright © 2014. All Rights Reserved.